#! /bin/bash
while [ $# != 0 ]
do
    case $1 in
    -w|--white )
       	option="$option -w"
	;;
    -b|--black )
       	option="$option -b"
	;;
    -v|--vacuum )
       	option="$option -v"
	;;
    * )
	file="${file} $1"
	;;
    esac
    shift
done
#
tmpfile="/tmp/sf+_del.$$.tmp"
cat ${file} > ${tmpfile}
#
status=`awk 'BEGIN {IGNORECASE = 1}
	/^Content-Type:/ {
	    if ($2 !~ "text/plain")
		print "nonplain"
	    exit}
	/^$/ {exit}' ${tmpfile}`
#
if [ "X$status" = "X" ]
then
    sf_del.sh ${option} ${tmpfile}
fi
#
rm ${tmpfile}
# end
